Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## cpw.mods.fml.common.discovery
Enum ContainerType

    java.lang.Object
      java.lang.Enum<ContainerType>
          cpw.mods.fml.common.discovery.ContainerType

All Implemented Interfaces:
  Serializable, Comparable<ContainerType>

    public enum ContainerType

extends Enum<ContainerType>

Enum Constant Summary
`DIR`
`JAR`

Method Summary
`List<ModContainer>` | `findMods(ModCandidate candidate, ASMDataTable table)`
`static ContainerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContainerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JAR

    public static final ContainerType JAR

### DIR

    public static final ContainerType DIR

Method Detail

### values

    public static ContainerType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ContainerType c : ContainerType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ContainerType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### findMods

    public List<ModContainer> findMods(ModCandidate candidate,
                                       ASMDataTable table)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD